Skip to main content

Labels

List all available labels

Request

GET http://printer/api/v3/labels

Response

Dictionary of objects.

Get a label

Request

GET http://printer/api/v3/labels/{name}

Path Parameters

NameTypeDescription
nameStringLabel name

Response

Label object.

Delete a label

Request

DELETE http://printer/api/v3/labels/{name}

Path Parameters

NameTypeDescription
nameStringLabel name

Response

None.

Create or modify a label

Request

PUT http://printer/api/v3/labels/{name}

See Label.

Path Parameters

NameTypeDescription
nameStringLabel name

Response

None.

Get a print simulation of a label

Request

GET http://printer/api/v3/labels/{name}/simulation

Path Parameters

NameTypeDescription
nameStringLabel name

Query Parameters

NameTypeDescription
tableNameStringOptional table name.
keyColumnStringOptional column to search for a key.
keyStringOptional key value to search for.

Response

Label object.

Examples

Without table:

GET http://printer/api/v3/labels/MyLabel/simulation

With table:

GET http://printer/api/v3/labels/MyLabel/simulation?tableName=MyTable&keyColumn=SKU&key=12345